summaryrefslogtreecommitdiff
path: root/local
diff options
context:
space:
mode:
authorMarc Coquand <marc@mccd.space>2024-05-07 12:31:15 -0500
committerMarc Coquand <marc@mccd.space>2024-05-07 12:31:15 -0500
commitd1f39c5328a8a1c4f0846c047b1164d698f878cb (patch)
tree6fb974b3a5e104d8ddd8b0812ce13091e8fed5de /local
parent794b39a7a99d5442e62fafe7e31249702c680bcc (diff)
downloadrcm-d1f39c5328a8a1c4f0846c047b1164d698f878cb.tar.gz
rcm-d1f39c5328a8a1c4f0846c047b1164d698f878cb.tar.bz2
rcm-d1f39c5328a8a1c4f0846c047b1164d698f878cb.zip
Xsync: update scripts
Diffstat (limited to 'local')
-rwxr-xr-xlocal/bin/xsync4
1 files changed, 3 insertions, 1 deletions
diff --git a/local/bin/xsync b/local/bin/xsync
index 576b733..fa90b24 100755
--- a/local/bin/xsync
+++ b/local/bin/xsync
@@ -18,7 +18,9 @@ echo $INSTALLED
comm /tmp/xsync-spec /tmp/xsync-installed -23 > /tmp/xsync-to-install
comm /tmp/xsync-spec /tmp/xsync-installed -13 > /tmp/xsync-to-remove
+# You can add the -n flag to dry-run and see what will happen
[ -s /tmp/xsync-to-remove ] && sudo xbps-remove $(cat /tmp/xsync-to-remove) || echo "Nothing to remove"
-[ -s /tmp/xsync-to-install ] && sudo xbps-install $(cat /tmp/xsync-to-install) || echo "Nothing to install"
+# You can add the -n flag to dry-run and see what will happen
+[ -s /tmp/xsync-to-install ] && sudo xbps-install -S $(cat /tmp/xsync-to-install) || echo "Nothing to install"